curl
curl -sS "https://gateway.orbit/api/v1/conn/environments" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": [
{
"environment_id": "<string>",
"label": "<string>",
"url": "<string>",
"server_version": "<string>",
"registered_by": "<string>",
"registered_at": "<string>",
"admin_session_expires_at": "<string>",
"status": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Conn
List T3 servers
Lists registered T3 servers with their URL, server version, registration time, and admin session expiry. status is session_expired when the server must register again.
GET
/
api
/
v1
/
conn
/
environments
curl
curl -sS "https://gateway.orbit/api/v1/conn/environments" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": [
{
"environment_id": "<string>",
"label": "<string>",
"url": "<string>",
"server_version": "<string>",
"registered_by": "<string>",
"registered_at": "<string>",
"admin_session_expires_at": "<string>",
"status": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}